<template>
	<div class="card" :class="item.SORTNUM == 0 ? 'conten-border' : ''" @tap='goDetail' v-if="item">
		<div class="uni-flex align-center jc-between" >
			<p class="contentName">
				{{item.SERVERPART_NAME}}
				<span v-if="item.SORTNUM == 0 && item.HIGHWAYPROINST_NEXTID=='3000'" style="color:#D73535;">【退】</span>
				<span v-else-if="item.SORTNUM == 0 && item.HIGHWAYPROINST_NEXTID=='4000'" style="color:#D73535;">【移】</span>
			</p>
			<text class="typeText" :class="item.HIGHWAYPROINST_NEXTID=='9000' ? 'typeText-color' : ''">{{item.SORTNUM==0 ? '待我处理': proStatus[item.HIGHWAYPROINST_NEXTID]}}</text>
		</div>

		<div class="content-index">{{i+1}}</div>
		<view class="content-type-text" >
			{{item.PRODEF_NAME}}
		</view>
		<view class="content-span-cashpay">
			<text >{{item.PROINST_NAME}}</text> 
		
		</view>
		<view class="bb1"></view>
		<view class="uni-flex align-center jc-between" v-if="item.ACTINST_NAME">
			
			<view class="uni-flex align-top" >
				<i class="B-icon A-icon"></i>
				<text class="content-span">{{item.ACTINST_NAME}}</text>
			</view>
			<text class="content-span" v-if="!item.STAFF_NAME">{{item.HIGHWAYPROINST_CREATEDATE}}</text>
		</view>
		<view class="uni-flex jc-between"  v-if="item.STAFF_NAME">
			<view class="uni-flex align-top" >
				<text class="G-icon A-icon" ></text>
				<text class="content-span staff-text" >{{item.STAFF_NAME}}</text>
			</view>
			<text class="content-span lh15">{{item.HIGHWAYPROINST_CREATEDATE}}</text>
		</view>
		<view class="uni-flex jc-end" v-if="!item.ACTINST_NAME && !item.STAFF_NAME">
			
			<text class="content-span">{{item.HIGHWAYPROINST_CREATEDATE}}</text>
		</view>
		
	</div>
</template>

<script>
	export default {
		props: {
			item: {
				type: Object,
				required: true
			},
			i: {
				type: Number,
				required: true
			}
		},
		data () {
			return {
				proStatus: 
					{
						1000: '待受理',
						2000: '办理中',
						3000: '已驳回',
						4000: '已移交',
						9000: '已审结',
						'100100': '商品新增',
						'100200': '信息修改',
						'100201': '商品调价',
					}
				
			}
		},
		computed: {
			getStatus () {
				let _this = this
				if (_this.item) {
					let item = _this.item
					_this.item.SERVERPART_NAME = item.SERVERPART_NAME+" "+item.HIGHWAYPROINST_DESC.split('【')[0]
					_this.item.STAFF_NAME = item.STAFF_NAME
					_this.item.HIGHWAYPROINST_CREATEDATE = _this.dateEmpty(_this.item.HIGHWAYPROINST_CREATEDATE)
					if(item.SORTNUM === 0){
						return '待我处理'
					}else{
						return _this.proStatus[_this.item.HIGHWAYPROINST_NEXTID]
					}
				}
				
			},
			PAYMENT_LOWER() {
				if (this.item.PAYMENT_LOWER) {
					
					return this.$util.fmoney(this.item.PAYMENT_LOWER,2)
				}else{
					return '0.00'
				}
			},
		},
		methods: {
			goDetail () {
				this.$emit('goDetail', this.item)
			},
			dateEmpty (v) {
				return this.$util.cutDate(v,'YYYY/MM/DD')
			}
		}
	}
</script>

<style scoped>
	@import '../../../common/css/listUnit.css';
	
	.conten-border{
		box-shadow: 0 0px 6rpx #f9b297;
	}
	.content-span-cashpay {
		margin-top: 40rpx;
		font-size: 24rpx;
		text-align: center;
		padding-bottom: 16rpx;
	}
	.content-span-cashpay text {
		font-size: 30rpx;
		font-weight: 600;
		line-height: 1.5;
	}
	.content-type-text {
		overflow: hidden;
		text-overflow: ellipsis;
		white-space: nowrap;
	}
</style>
